# List accounts Returns a dictionary with a data property that contains an array of accounts, starting after the cursor, if used. Each entry in the array is a separate account object. If no more accounts are available, the resulting array will be empty. This request should never return an error. Endpoint: GET /accounts Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorials for detailed instructions. - `sort[]` (array) A case-sensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. account_number.asc) or descending (e.g. account_number.desc). You cannot sort on properties that are arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, auto_pay, account_number, bill_to_id, sold_to_id, billing_document_settings, communication_profile_id, crm_id, sales_rep, parent_account_id, payment_gateway, payment_terms, remaining_credit_memo_balance, remaining_debit_memo_balance, remaining_invoice_balance, remaining_payment_balance, sequence_set_id, tax_certificate, batch, tax_identifier, bill_cycle_day, description, name, currency, default_payment_method_id, enabled Example: ["id,created_time"] - `subscriptions.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, subscription_number, state, account_id, invoice_owner_account_id, auto_renew, version, initial_term, current_term, renewal_term, start_date, end_date, description, contract_effective, service_activation, customer_acceptance, invoice_separately, latest_version, payment_terms, billing_document_settings, bill_to_id, sold_to_id, contracted_mrr, currency, cancel_reason, last_booking_date, order_number Example: ["id,created_time"] - `subscription_plans.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, name, plan_id, subscription_id, product_id, subscription_plan_number Example: ["id,created_time"] - `subscription_items.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, start_date, end_date, charge_model, charge_type, tiers, subscription_item_number, name, description, charged_through_date, recurring, price_id, start_event, tax_code, tax_inclusive, unit_of_measure, quantity, price_base_interval, overage, subscription_plan_id, tiers_mode, processed_through_date, active, state, unit_amount, amount, discount_amount, discount_percent, price_change_percentage, price_change_option Example: ["id,created_time"] - `invoice_owner_account.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, auto_pay, account_number, bill_to_id, sold_to_id, billing_document_settings, communication_profile_id, crm_id, sales_rep, parent_account_id, payment_gateway, payment_terms, remaining_credit_memo_balance, remaining_debit_memo_balance, remaining_invoice_balance, remaining_payment_balance, sequence_set_id, tax_certificate, batch, tax_identifier, bill_cycle_day, description, name, currency, default_payment_method_id, enabled Example: ["id,created_time"] - `plan.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, start_date, end_date, name, active, description, plan_number, product_id, active_currencies Example: ["id,created_time"] - `payment_methods.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, type, account_id, bank_identification_number, device_session_id, ip_address, maximum_payment_attempts, payment_retry_interval, state, use_default_retry_rule, existing_mandate, last_failed_sale_transaction_time, last_transaction_time, last_transaction_status, number_of_consecutive_failures, total_number_of_processed_payments, total_number_of_error_payments, billing_details, card, apple_pay, google_pay, ach_debit, cc_ref, paypal_adaptive, paypal_express_native, paypal_express, sepa_debit, betalings_debit, autogiro_debit, bacs_debit, au_becs_debit, nz_becs_debit, pad_debit Example: ["id,created_time"] - `payments.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, payment_number, payment_date, gateway_id, payment_method_id, payout_id, reference_id, second_reference_id, statement_descriptor_phone, state, statement_descriptor, account_id, amount, amount_applied, amount_refunded, remaining_balance, currency, description, authorization_id, external, gateway_order_id, gateway_reconciliation_status, gateway_reconciliation_reason, gateway_response, gateway_response_code, gateway_state, state_transitions, gateway_state_transitions Example: ["id,created_time"] - `billing_documents.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, balance, description, state, tax Example: ["id,created_time"] - `billing_document_items.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, price_id, discount_item, deferred_revenue_account, description, name, quantity, recognized_revenue_account, service_end, service_start, accounts_receivable_account, subscription_id, subscription_item_id, tax, tax_inclusive, unit_amount Example: ["id,created_time"] - `bill_to.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, address, home_phone, first_name, last_name, email, work_email, nickname, other_phone, work_phone, mobile_phone, tax_region, other_phone_type, fax Example: ["id,created_time"] - `sold_to.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, address, home_phone, first_name, last_name, email, work_email, nickname, other_phone, work_phone, mobile_phone, tax_region, other_phone_type, fax Example: ["id,created_time"] - `default_payment_method.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, type, account_id, bank_identification_number, device_session_id, ip_address, maximum_payment_attempts, payment_retry_interval, state, use_default_retry_rule, existing_mandate, last_failed_sale_transaction_time, last_transaction_time, last_transaction_status, number_of_consecutive_failures, total_number_of_processed_payments, total_number_of_error_payments, billing_details, card, apple_pay, google_pay, ach_debit, cc_ref, paypal_adaptive, paypal_express_native, paypal_express, sepa_debit, betalings_debit, autogiro_debit, bacs_debit, au_becs_debit, nz_becs_debit, pad_debit Example: ["id,created_time"] - `usage_records.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, account_number, subscription_item_id, subscription_item_number, subscription_id, subscription_number, unit_of_measure, description, end_time, state, start_time, quantity Example: ["id,created_time"] - `invoices.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, state, balance, due_date, invoice_number, posted_by_id, state_transitions, description, account_id, total, subtotal, tax, paid, past_due, document_date, amount_paid, amount_refunded, payment_terms, bill_to_id, sold_to_id, billing_document_settings, currency Example: ["id,created_time"] - `credit_memos.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, credit_memo_number, state_transitions, description, account_id, total, subtotal, tax, document_date, exclude_from_auto_apply_rules, posted_by_id, state, balance, invoice_id, reason_code, amount_refunded, bill_to_id, billing_document_settings, currency Example: ["id,created_time"] - `debit_memos.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, balance, due_date, debit_memo_number, state_transitions, description, account_id, total, subtotal, tax, document_date, posted_by_id, state, reason_code, paid, past_due, billing_document_settings, payment_terms, bill_to_id, invoice_id, currency Example: ["id,created_time"] - `prepaid_balance.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values prepaid_UOM, start_date, end_date, total_balance, remaining_balance Example: ["id,created_time"] - `transactions.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values transaction_date, type, quantity Example: ["id,created_time"] - `account.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, auto_pay, account_number, bill_to_id, sold_to_id, billing_document_settings, communication_profile_id, crm_id, sales_rep, parent_account_id, payment_gateway, payment_terms, remaining_credit_memo_balance, remaining_debit_memo_balance, remaining_invoice_balance, remaining_payment_balance, sequence_set_id, tax_certificate, batch, tax_identifier, bill_cycle_day, description, name, currency, default_payment_method_id, enabled Example: ["id,created_time"] ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. - `zuora-org-ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Response 200 fields (application/json): - `next_page` (string,null) - `data` (array) - `data.id` (string) Unique identifier for the object. - `data.updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `data.updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `data.created_by_id` (string) Unique identifier of the Zuora user who created the object - `data.created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `data.custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `data.custom_objects` (object) The custom objects associated with a Zuora standard object. - `data.account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `data.billing_document_settings` (object) Billing document settings for an account - `data.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `data.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `data.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `data.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `data.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `data.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `data.batch` (string) The identifier of a bill run batch. - `data.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `data.bill_to` (object) Customer billing address. - `data.bill_to.address` (object) Container for the address informtion. - `data.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `data.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `data.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `data.bill_to.address.state` (string) State or providence Example: "GA" - `data.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `data.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `data.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `data.bill_to.first_name` (string) Customer first name. Example: "Amy" - `data.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `data.bill_to.last_name` (string) Customer last name. Example: "Lawrence" - `data.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `data.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `data.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `data.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `data.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `data.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `data.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `data.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `data.bill_to.fax` (string) The contact's fax number. - `data.bill_to.account_id` (string) Identifier of a customer account with which this contact is associated. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.sold_to` (object) Customer address used for calculating tax. - `data.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `data.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `data.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `data.name` (string) The name of the customer account. Example: "test account" - `data.description` (string) An arbitrary string attached to the object. Often useful for displaying to users. Example: "description of test account" - `data.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `data.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `data.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `data.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `data.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `data.tax_certificate` (object) The tax certificate information. - `data.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `data.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `data.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `data.tax_certificate.description` (string) Description of the tax exemption certificate. - `data.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `data.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `data.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `data.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `data.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `data.tax_identifier` (object) An object that contains the VAT Identification number. - `data.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `data.currency` (string) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `data.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `data.enabled` (boolean) Usually used to disable the customer account. The default is true. If false, attempts to create subscriptions for the customer account will fail. Example: true - `data.remaining_debit_memo_balance` (number) Total remaining balance of all posted debit memos. Example: 10 - `data.remaining_invoice_balance` (number) Total remaining balance of all posted invoices. Example: 100 - `data.remaining_credit_memo_balance` (number) Total remaining balance of all posted credit memos. Example: 50 - `data.remaining_payment_balance` (number) Total remaining balance of all posted payments. Example: 20 - `data.bill_to_id` (string) Customer billing address. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.sold_to_id` (string) Customer address used for calculating tax. Example: "8ad0823f8040e52d0180433026b156fe" - `data.default_payment_method` (object) The default payment method for the customer. - `data.default_payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `data.default_payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `data.default_payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `data.default_payment_method.account` (object) The customer account associated with this payment method. - `data.default_payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `data.default_payment_method.billing_details.name` (string) Customer full name or business name. Example: "Amy Lawrence" - `data.default_payment_method.billing_details.address` (object) Address information used in billing details. - `data.default_payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `data.default_payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `data.default_payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `data.default_payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `data.default_payment_method.device_session_id` (string) - `data.default_payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `data.default_payment_method.bank_identification_number` (string) - `data.default_payment_method.card` (object) Credit card information. - `data.default_payment_method.card.brand` (string) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `data.default_payment_method.card.expiry_month` (number) One or two digit expiration month (1-12) of the credit card. Example: 10 - `data.default_payment_method.card.expiry_year` (number) Two- or four-digit number representing the card's expiration year. Example: 2024 - `data.default_payment_method.card.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `data.default_payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `data.default_payment_method.card.mandate.reason` (string) Reason for the mandate. - `data.default_payment_method.card.mandate.state` (string) The status of the mandate, which indicates whether it can be used to initiate a payment. Enum: "active", "canceled", "expired", "agreed" - `data.default_payment_method.card.last_4` (string) The last four digits of the card number. Example: "2042" - `data.default_payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `data.default_payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `data.default_payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `data.default_payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `data.default_payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `data.default_payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `data.default_payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `data.default_payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `data.default_payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `data.default_payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `data.default_payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `data.default_payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `data.default_payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `data.default_payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `data.default_payment_method.cc_ref.card` (object) - `data.default_payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `data.default_payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `data.default_payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `data.default_payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `data.default_payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `data.default_payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `data.default_payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `data.default_payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `data.default_payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `data.default_payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `data.default_payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `data.default_payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `data.default_payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `data.default_payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `data.default_payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `data.default_payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `data.default_payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `data.default_payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `data.default_payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `data.default_payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `data.default_payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `data.default_payment_method.state` (string) The state of the payment method. Enum: "active", "closed", "scrubbed" - `data.default_payment_method.auto_generated` (boolean) - `data.default_payment_method.use_default_retry_rule` (boolean) - `data.default_payment_method.existing_mandate` (boolean) - `data.default_payment_method.last_failed_sale_transaction_time` (string) - `data.default_payment_method.last_transaction_time` (string) - `data.default_payment_method.last_transaction_status` (string) - `data.default_payment_method.number_of_consecutive_failures` (integer) - `data.default_payment_method.total_number_of_processed_payments` (integer) - `data.default_payment_method.total_number_of_error_payments` (integer) - `data.billing_documents` (object) List of customer billing documents. - `data.payments` (object) List of customer payments. - `data.payment_methods` (object) List of customer payment methods. - `data.subscriptions` (object) List of customer subscriptions. - `data.usage_records` (object) List of customer usages. - `data.credit_memos` (object) List of credit memo - `data.debit_memos` (object) List of debit memo - `data.invoices` (object) List of invoices ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)